
#ifndef GENEUHF_ADF4351_H
#define GENEUHF_ADF4351_H

#include <stdint.h>


class AffiNombre
{
public:

	uint16_t x0;
	uint16_t y0;
	
	AffiNombre();
	
	void init(uint16_t x, uint16_t y, uint16_t dx, uint16_t dy,char txt_etiquette[10]);
//	void setTexte(char[3]);
	void affiche_frequence(uint32_t F_i, uint8_t R, uint8_t G, uint8_t B);
	void affiche_valeur(uint16_t valeur, uint8_t nb_chiffres, char txt_unite_i[3]);
	void affiche_HEXA(uint32_t valeur);
	
	
private:
	char txt_etiquette[10];
	char txt_unite[3];

};


class LED
{
public:

	uint16_t x;
	uint16_t y;

	uint8_t R;
	uint8_t G;
	uint8_t B;

  LED();
  
	void init(uint16_t x_i, uint16_t y_i, uint8_t R_i, uint8_t G_i, uint8_t B_i, char txt_etiquette[5]);
	void setEtat(uint8_t etat_i);  // = 0 ou 1

private:
	char txt_etiquette[5];

};


/***** autres declarations ******/

void init_ports (void);
void init_variables(void);
void trace_ecran();
void trace_entete();
void TFT_affiche_chiffre_7seg(uint8_t num);
void TFT_aff_nb_form3 (uint32_t valeur, uint8_t nb_chiffres, uint8_t curseur, uint8_t R, uint8_t G, uint8_t B);
void TFT_aff_nb_form3b (uint32_t valeur, uint8_t nb_chiffres, uint8_t curseur, uint8_t R, uint8_t G, uint8_t B);
void TFT_aff_nb_form3c (uint32_t valeur, uint8_t nb_chiffres, uint8_t curseur, uint8_t R, uint8_t G, uint8_t B);


void calcul_lambda();
void affiche_leds();


#endif
